For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • POSTCreate Project Risk
      • GETQuery Risks
      • GETGet Risk
      • PUTUpdate Risk
      • DELRemove Risk
      • GETGet Risks for Project
      • POSTCreate Risk
      • POSTCreate Risk Export
LogoLogo
SupportContact salesStart free trial
API ReferenceRisk

Create Project Risk

POST
https://api.projectmanager.com/api/data/projects/:projectId
POST
/api/data/projects/:projectId
$curl -X POST https://api.projectmanager.com/api/data/projects/projectId \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "string"
>}'
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "id": "string",
15 "projectId": "string",
16 "name": "string",
17 "dueDate": "2023-01-15",
18 "percentComplete": 1,
19 "priority": 1,
20 "impact": 1,
21 "likelihood": 1,
22 "responseId": 1,
23 "resolution": "string",
24 "notes": "string",
25 "createDate": "2024-01-15T09:30:00Z",
26 "modifyDate": "2024-01-15T09:30:00Z",
27 "version": 1,
28 "shortId": "string",
29 "taskTypeId": 1,
30 "assignments": [
31 {
32 "taskId": "string",
33 "projectId": "string",
34 "resourceId": "string"
35 }
36 ],
37 "tags": [
38 {
39 "id": "string",
40 "name": "string",
41 "color": "string"
42 }
43 ],
44 "owner": {
45 "id": "string",
46 "initials": "string",
47 "firstName": "string",
48 "lastName": "string",
49 "email": "string",
50 "isActive": true,
51 "color": "string",
52 "avatarUrl": "string"
53 },
54 "filesCount": 1,
55 "commentsCount": 1,
56 "riskTypeId": 1,
57 "project": {
58 "id": "string",
59 "shortId": "string",
60 "name": "string"
61 }
62 }
63}
Creates a new Risk within the specified Project. The Risk will inherit Project context such as access permissions and workspace ownership. Validation is applied to ensure the Project exists and the caller has permission to create Risks.
Was this page helpful?
Previous

Query Risks

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

The data used to create the Risk
namestringRequired>=1 character
The common name of this Risk.
descriptionstring or nullOptional
A description of the work to be performed in this Risk.
percentCompleteintegerOptional

The numerical percentage, from 0-100, representing the percentage completion for this risk. Any numbers below zero or above 100 will be clamped to the minimum or maximum value.

priorityinteger or nullOptional

Indicates the level of importance assigned to a risk, with 500 being standard priority; the higher the number, the higher the priority.

impactinteger or nullOptional
The potential effect of the risk.
likelihoodinteger or nullOptional
Probability or chance of the risk occurring.
responseIdinteger or nullOptional
The planned or implemented response to address the identified risk. Avoid, Mitigate, Transfer, Accept
resolutionstring or nullOptional
The actions or strategy planned or taken to mitigate or eliminate the risk.
assigneeslist of strings or nullOptional
A list of unique identifiers of Assignees to be assigned to this Risk
riskTypeIdinteger or nullOptional

The type of risk. Risk = 1 Assumption = 2 Issue = 3 Dependency = 4 Change = 5

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
Represents a potential threat or uncertainty that could impact a project, system, or process. Contains information such as its likelihood, impact, response, and resolution details.

Errors

400
Bad Request Error